%define upstream_name    Compiler-Lexer
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Lexical Analyzer for Perl5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Compiler/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Build::XSUtil) >= 0.90.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl-devel
Provides:      perl(Compiler::Lexer::Constants)

%description
Lexical Analyzer for Perl5

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.220.0-3.mga6
+ Revision: 1024268
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.220.0-2.mga6
+ Revision: 956891
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.220.0-1.mga6
+ Revision: 844034
- update to 0.22

* Sun Oct 19 2014 umeabot <umeabot> 0.190.0-6.mga5
+ Revision: 790515
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-5.mga5
+ Revision: 742277
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 jquelin <jquelin> 0.190.0-4.mga5
+ Revision: 731996
- rpm 4.12 rebuild
- add manual provides

* Sat Sep 27 2014 tv <tv> 0.190.0-3.mga5
+ Revision: 727585
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-2.mga5
+ Revision: 683960
- Mageia 5 Mass Rebuild

* Thu Jul 24 2014 sander85 <sander85> 0.190.0-1.mga5
+ Revision: 656306
- update to 0.19

* Fri Jun 06 2014 jquelin <jquelin> 0.180.0-1.mga5
+ Revision: 634087
- adding missing buildrequires:
- imported package perl-Compiler-Lexer


* Fri Jun 06 2014 cpan2dist 0.18-1mga
- initial mageia release, generated with cpan2dist
